image: docker.io/lucasrosa14/img-qaops

stages:
  - build
  - lint
  - test

build-job:
  stage: build
  script:
    - mvn test
    - mvn surefire-report:report-only
    - mvn site -DgenerateReports=false
  artifacts:
    expire_in: 2 days
    paths:
      - target/site/

lint-job:
  stage: lint
  script:
    - echo "Lint executando."

test-job:
  stage: test
  script:
    - echo "Teste executando"
  only: [merge_request]  
